Subject: Re: bug#55529: [PATCH] Add support for the Tagalog script

From: समीर सिंह Sameer Singh<[email-masked]>
Date: Sat, 21 May 2022 20:38:05 +0530

>
> I think "Tagalog" as the English label in HELLO is okay, but the
> script native name in parentheses should be Baybayin.
>
> > I was also thinking about changing the
> > input method from Tagalog to Baybayin, should I do that?
>
> No, I think it should be 'tagalog', but the doc string should say that
> it supports the Baybayin script.
>
> >  Is this really so important?  The Wikipedia article says that Filipino
> >  is a version of Tagalog standardized by the constitution of 1987.
> >  Wouldn't it be better to support a modern language used nowadays and
> >  not just its older version?
> >
> > Doesn't the modern language use the Roman script, instead of Baybayin?
> >
> >  Looking at this another way: what will an Emacs user expect to find in
> >  Emacs as the supported language for the Philippines?
> >
> > Atleast according to me, correct me if I am  a filipino user will use
> the Roman script for the filipino language,
> > while writing Tagalog he may look for Baybayin, which we
> > have provided under the Tagalog language environment.
>
> OK, but please revise the doc strings and the comments to make sure we
> use "Tagalog" for the language and "Baybayin" for the script (except
> where we use the script name inherited from Unicode, which is actually
> the name of the Unicode block).  AFAICT, the patch you posted wasn't
> consistent in that regard.  And NEWS should mention both the language
> and the script names.
>

Thanks I will do these.

Btw, what fonts are considered to be good nowadays for displaying
> Tagalog/Baybayin?

https://github.com/ctrlcctrlv/Noto-Sans-Tagalog/tree/master/dist
This is what worked best for me, the older Noto font did not have
characters for Ra, Alternative Ra, and Pamudpod, this one has it.

On Sat, May 21, 2022 at 3:08 PM Eli Zaretskii <[email-masked]> wrote:

> > Cc: [email-masked]
> > Date: Sat, 21 May 2022 11:23:03 +0300
> > From: Eli Zaretskii <[email-masked]>
> >
> > >  Looking at this another way: what will an Emacs user expect to find in
> > >  Emacs as the supported language for the Philippines?
> > >
> > > Atleast according to me, correct me if I am  a filipino user will use
> the Roman script for the filipino language,
> > > while writing Tagalog he may look for Baybayin, which we
> > > have provided under the Tagalog language environment.
> >
> > OK, but please revise the doc strings and the comments to make sure we
> > use "Tagalog" for the language and "Baybayin" for the script (except
> > where we use the script name inherited from Unicode, which is actually
> > the name of the Unicode block).  AFAICT, the patch you posted wasn't
> > consistent in that regard.  And NEWS should mention both the language
> > and the script names.
>
> Btw, what fonts are considered to be good nowadays for displaying
> Tagalog/Baybayin?
>